Skip to content

Run an AI 2D Virtual Try On Bracelet task.

Request

This endpoint initiates the bracelet virtual try-on process. You must provide source file(s) and reference image(s) (via URL or File ID), along with specific parameters for alignment and shadowing. The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
source_infoobjectrequired

Contain source photo informations.

object_infosArray of objectsrequired
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
srcmsk_file_urlstring

Url of the source mask file to run task. The url should be publicly accessible.

Example:"https://example.com/src_mask.jpg"
ref_file_urlsArray of stringsrequired

Url of the reference file to run task. The url should be publicly accessible.

Example:
[ "https://example.com/vto_sku.jpg" ]
refmsk_file_urlsArray of strings

Url of the reference mask file to run task. The url should be publicly accessible.

Example:
[ "https://example.com/vto_sku_mask.jpg" ]
POST
/s2s/v2.0/task/2d-vto/bracelet
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/bracelet \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "srcmsk_file_url": "https://example.com/src_mask.jpg",
    "ref_file_urls": [
      "https://example.com/vto_sku.jpg"
    ],
    "refmsk_file_urls": [
      "https://example.com/vto_sku_mask.jpg"
    ],
    "source_info": {
      "name": "https://example.com/selfie.jpg",
      "mask_name": "https://example.com/src_mask.jpg"
    },
    "object_infos": [
      {
        "name": "https://example.com/vto_sku.jpg",
        "mask_name": "https://example.com/vto_sku_mask.jpg",
        "parameter": {
          "bracelet_need_remove_background": true,
          "bracelet_anchor_point": null,
          "bracelet_wearing_location": null,
          "bracelet_shadow_intensity": 0.3,
          "bracelet_ambient_light_intensity": 1
        }
      }
    ]
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }